<?php

namespace Drupal\xtcelasticsearch\Plugin\XtcHandler;


use Drupal\Component\Serialization\Json;

/**
 * Plugin implementation of the xtc_handler.
 *
 * @XtcHandler(
 *   id = "elasticsearch_mapping",
 *   label = @Translation("PHP Elasticsearch Mapping for XTC"),
 *   description = @Translation("PHP Elasticsearch Mapping for XTC description.")
 * )
 */
class ElasticSearchMapping extends ElasticSearchBase {

  protected $response;

  public function process() {
    $this->initProcess();
    $this->adaptContent();
    $this->runProcess();
    return $this;
  }

  protected function runProcess() {
    parent::runProcess();
    $this->params['body'] = $this->content;
    unset($this->params['type']);
    try {
      $this->content = $this->client->indices()->create($this->params);
    } catch (\Exception $exception) {
      $this->content = $exception->getMessage();
    }
  }

  public function getResponse(){
    return $this->response ?? [];
  }

}
